# PCShellSetApplyBA

Sets routine to use as preconditioner times operator.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCShellSetApplyBA(PC pc,PetscErrorCode (*applyBA)(void*,PCSide,Vec,Vec,Vec))

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| applyBA | - the application-provided BA routine

### Calling sequence of apply

       PetscErrorCode applyBA (void *ptr,Vec xin,Vec xout)

| ptr | - the application context
| xin | - input vector
| xout | - output vector

### Keywords

PC, shell, set, apply, user-provided

### See Also

PCShellSetApplyRichardson(), PCShellSetSetUp(), PCShellSetApplyTranspose(), PCShellSetContext(), PCShellSetApply()

Level:developer
Location: src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages